package com.kingdee.eas.custom.dormitorysystem.occupants;

import java.io.Serializable;
import com.kingdee.bos.dao.AbstractObjectValue;
import java.util.Locale;
import com.kingdee.util.TypeConversionUtils;
import com.kingdee.bos.util.BOSObjectType;


public class AbstractOccupantsInfo extends com.kingdee.eas.framework.DataBaseInfo implements Serializable 
{
    public AbstractOccupantsInfo()
    {
        this("id");
    }
    protected AbstractOccupantsInfo(String pkField)
    {
        super(pkField);
    }
    /**
     * Object: 入住信息 's 组别 property 
     */
    public com.kingdee.eas.custom.dormitorysystem.occupants.OccupantsTreeInfo getTreeid()
    {
        return (com.kingdee.eas.custom.dormitorysystem.occupants.OccupantsTreeInfo)get("treeid");
    }
    public void setTreeid(com.kingdee.eas.custom.dormitorysystem.occupants.OccupantsTreeInfo item)
    {
        put("treeid", item);
    }
    /**
     * Object: 入住信息 's 人员 property 
     */
    public com.kingdee.eas.basedata.person.PersonInfo getPerson()
    {
        return (com.kingdee.eas.basedata.person.PersonInfo)get("person");
    }
    public void setPerson(com.kingdee.eas.basedata.person.PersonInfo item)
    {
        put("person", item);
    }
    /**
     * Object: 入住信息 's 员工职位 property 
     */
    public com.kingdee.eas.hr.emp.PersonPositionInfo getPersonPosition()
    {
        return (com.kingdee.eas.hr.emp.PersonPositionInfo)get("personPosition");
    }
    public void setPersonPosition(com.kingdee.eas.hr.emp.PersonPositionInfo item)
    {
        put("personPosition", item);
    }
    /**
     * Object: 入住信息 's 人员宿舍分类 property 
     */
    public com.kingdee.eas.custom.dormitorysystem.otherbasicdata.PersonDormitoryTypeInfo getPersonDormitoryType()
    {
        return (com.kingdee.eas.custom.dormitorysystem.otherbasicdata.PersonDormitoryTypeInfo)get("PersonDormitoryType");
    }
    public void setPersonDormitoryType(com.kingdee.eas.custom.dormitorysystem.otherbasicdata.PersonDormitoryTypeInfo item)
    {
        put("PersonDormitoryType", item);
    }
    /**
     * Object:入住信息's 入住时间property 
     */
    public java.util.Date getCheckInDate()
    {
        return getDate("CheckInDate");
    }
    public void setCheckInDate(java.util.Date item)
    {
        setDate("CheckInDate", item);
    }
    /**
     * Object:入住信息's 退宿时间property 
     */
    public java.util.Date getCheckOutDate()
    {
        return getDate("CheckOutDate");
    }
    public void setCheckOutDate(java.util.Date item)
    {
        setDate("CheckOutDate", item);
    }
    /**
     * Object: 入住信息 's 宿舍 property 
     */
    public com.kingdee.eas.custom.dormitorysystem.dormitory.DormitoryInfo getDormitory()
    {
        return (com.kingdee.eas.custom.dormitorysystem.dormitory.DormitoryInfo)get("Dormitory");
    }
    public void setDormitory(com.kingdee.eas.custom.dormitorysystem.dormitory.DormitoryInfo item)
    {
        put("Dormitory", item);
    }
    /**
     * Object:入住信息's 备注property 
     */
    public String getRemarks()
    {
        return getString("Remarks");
    }
    public void setRemarks(String item)
    {
        setString("Remarks", item);
    }
    /**
     * Object:入住信息's 状态property 
     */
    public com.kingdee.shr.base.syssetting.BasicItemStateEnum getState()
    {
        return com.kingdee.shr.base.syssetting.BasicItemStateEnum.getEnum(getInt("state"));
    }
    public void setState(com.kingdee.shr.base.syssetting.BasicItemStateEnum item)
    {
		if (item != null) {
        setInt("state", item.getValue());
		}
    }
    public BOSObjectType getBOSType()
    {
        return new BOSObjectType("8C2E4A3F");
    }
}